/****
 * CFileWindow.h
 *
 *	Document class for the SignWriter key editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma once	

#include <CDocument.h>
#include <CApplication.h>
#include "CFileWndKeys.h"
#include "CFileWndBox.h"




struct CFileWindow : CDocument {


	CFileWndKeys	*itsKeyPanes;		// keyboard display
	
	CFileWndBox		*itsCurKeyPane;		// current key indicator
	CFileWndBox		*itsCurKbdPane;		// current keyboard indicator
	

	  
    void        	IFileWindow(CApplication *aSupervisor, Boolean printable);
    void        	Dispose(void);

	void			DoCommand(long theCommand);
	void			DoKeyDown(char theChar, Byte keyCode, EventRecord *macEvent);

    void        	UpdateMenus(void);  

	void			NewFile(void);
	void			OpenFile(SFReply *macSFReply);
	void			UpdateFile(void);

	void  		  	BuildWindow(void);
	void  		 	BuildSymWindow(void);

	Boolean		  	DoSave(void);
	Boolean		  	DoSaveAs(SFReply *macSFReply);
	void		  	DoRevert(void);
	
	Boolean		 	Close(Boolean quitting);
	

};