/****
 * CSignKeyWindow.h
 *
 *	Sign key window class for the SignWriter key editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma once	


#include <CDirector.h>
#include "CSignKeyWndGrid.h"


 
 
struct CSignKeyWindow : CDirector {


	CSignKeyWndGrid		*itsGridPane;
	Byte				 itsKeyCode;
	char				 itsKeyName;
	
	
	
				/* Initialization */
	void        ISignKeyWindow(CDirectorOwner *aSupervisor, Byte keyCode, char keyName);
    void        Dispose(void);


				/* Idle process */
	void		Dawdle (long *maxSleep);
	

				/* Commands */
	void		DoCommand(long theCommand);
	void		DoKeyDown(char theChar, Byte keyCode, EventRecord *macEvent);

 
 				/* Menus */
    void        UpdateMenus(void);  

				
				/* Windows */
	void		BuildWindow(void);		   
	Boolean		Close(Boolean quitting);
	
};