#include "CSignWriterApp.h"
#include "Commands.h"
#include "CBartender.h"
#include "CDataFile.h"
#include "CFileWindow.h"
#include "SignWriterConsts.h"
#include "Keys.h"
#include "Quickdraw.h"
#include <stdlib.h>
#include "Symbols.h"
#include "TBUtilities.h"
#include "TCLUtilities.h"



/*** Global Variables ***/


extern	OSType		 gSignature;
extern	CBureaucrat *gGopher;
extern  CBartender  *gBartender;
extern  CursHandle	 gWatchCursor;
extern  long		 gSleepTime;		/* Max time between events			*/



CSymWindow		*gSymWind;				/* Symbol window access   			*/


CFileWndKeys	*gKeyPanes;				/* Key display access   			*/


Str63			gFileName;				/* Current key file name			*/



void			*gClipRec;				/* Clipboard						*/
void			*gScratchRec;

ObjType			gClipType;
ObjType			gScratchType;



void			*gSignKeyWindow[KEY_CODES];			/* Window management 	*/
void			*gFingerKeyWindow[KEY_CODES];

short			gKeyWindows;


/***
 * ReadSymFile
 *
 *	Read the SignWriter symbol file.
 *  Exit application if file is missing.
 *
 ***/
 
 filename (local constant)
 symcode structure (global)
 
void CSignWriterApp::ReadSymFile(void)

{
	CDataFile		*theFile = NULL;
	Str63			theName  = SYMFILE_NAME;
	short			symCode;
	Ptr				symBuf = NULL;
	unsigned short 	symBytes;
	short			junk;
	
	
	TRY
	{
			/**
			 ** Create a file object and send it a Specify()
			 **	message to set up the name and volume.
			 **
			 **/
	
		theFile = new CDataFile;
		
		theFile->IDataFile();
		theFile->Specify(CtoPstr(theName), 0);	
	
	
			/**
			 **	Exit app if symbol file missing.
			 **
			 **/
			 
		if (!theFile->ExistsOnDisk()) {
			
			PositionDialog('ALRT', ALRTnoSymFile);	
			junk = Alert(ALRTnoSymFile, NULL);
			
			this->Exit();
			
			exit(0);
			
		}
		
		
			/**
			 **	Show watch cursor during symfile read.
			 **
			 **/
			 
		SetCursor(*gWatchCursor);
		

			/**
			 **	Send the file an Open() message to open it.
			 **
			 **/
	
		theFile->Open(fsRdWrPerm);
		
	
			/**
			 **	Skip number of defined symbols.
			 **
			 **/
			 
		theFile->ReadSome((Ptr) &junk, sizeof(short));
		
		
			/**
			 **	Buffer allocation must succeed.
			 **
			 **/
	
		SetCriticalOperation(TRUE);
		SetAllocation(kAllocCantFail);
		
		
		for (symCode = 1; symCode < SGRID_SYMS; symCode++) {
			
			
			/**
			 **	Read symbol length to determine how many bytes
			 **	to read.  Allocate corresponding buffer and read 
			 ** symbol bytes into it.  Assign buffer to symbol
			 ** data structure.
			 **
			 **/
			 
			theFile->ReadSome((Ptr) &symBytes, sizeof(unsigned short));

			if (symBytes != 0) {
			
				symBuf = NewPtr(symBytes);
				theFile->ReadSome(symBuf, symBytes);
				
				AssignSym(symCode, symBuf);
			}
												
		}	
	
	
			/**
			 **	Close and dispose the file.
			 **
			 **/
	
		theFile->Dispose();
		
	}
	
	CATCH
	{
		 if (theFile) theFile->Dispose();
		 	
		 DisposeSyms();
		 
	}
	ENDTRY; 

}

