/****
 * CFileWindow.h
 *
 *	Document class for the SignWriter symbol editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma once	

#include <CDocument.h>
#include <CApplication.h>
#include "CFileWndGrid.h"
#include "CFileWndBox.h"


struct CFileWindow : CDocument {


	CFileWndGrid	*itsGridPane;
	CFileWndBox		*itsBoxPane;
	
	  
    void        IFileWindow(CApplication *aSupervisor, Boolean printable);
    void        Dispose(void);

	void		DoCommand(long theCommand);

    void        UpdateMenus(void);  

	void		NewFile(void);
	void		OpenFile(SFReply *macSFReply);
	void  		BuildWindow(void);

	Boolean		DoSave(void);
	Boolean		DoSaveAs(SFReply *macSFReply);
	void		DoRevert(void);
	
	Boolean		Close(Boolean quitting);
	
	void		DoSymbolOperation(void);

};