
/******************************************************************************
 CFileWndDialog.h

		Interfaces for the file window dialog classes
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/


#pragma once


#include "CButton.h"
#include "CDLOGDirector.h"
#include "CPane.h"
#include "Symbols.h"





/**************************  Dialog pane classes  ****************************/


struct CSymPane : CPane {

	short	itsSymCode;
	
	void	Draw (Rect *area);
	
	void	Update (short sym, short symVar, short fillVar, short rot, short flop);
	
};



struct CTxtPane : CPane {

	void	Draw (Rect *area);

	void	Update (short rot, short flop);
	
};



/*****************************  Dialog class  ********************************/


struct CFileWndDialog : CDLOGDirector {

	
				/* Panes */
	CSymPane	*symPane;
	CTxtPane	*txtPane;
	
	
				/* Buttons */
	CButton		*symFill;
	CButton		*symMirror;
	CButton		*symChange;
	CButton		*symRotate;
	
	
				/* Symbol state */
	short		itsSymCode;
	short		itsSymVar;
	short		itsFillVar;
	short		itsRotation;
	short		itsFlop;
	
	
				/* Sym attributes */
	short		maxSymVar;
	short		maxFillVar;
	short		maxRotation;
	short		maxFlop;
	ImageClass	imgClass;

	
			/* Initialization */
	void	IFileWndDialog (short symCode, CDirectorOwner *aSupervisor);
	
		
			/* Dialog */
	void 	SymbolOperation (void);
	
	
			/* Commands */
	void	DoCommand (long theCommand);
	
	
			/* Display */
	void	UpdateDisplay (void);

};
