/****
 * CFileWndGrid.h
 *
 *	File window grid class for the SignWriter symbol editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma	once					/* Include only once */



#include "CGridSelector.h"
#include "SymEditConsts.h"




struct CFileWndGrid : CGridSelector {

				/* Symbol windows */
	void		*itsSymWindow[FGRID_SYMS];
	short		itsSymWindows;
	
	
				/* Initialization */
	void		IFileWndGrid (CView *anEnclosure, CBureaucrat *aSupervisor,
							  short aWidth, short aHeight,
							  short aHEncl, short aVEncl,
							  SizingOption aHSizing, SizingOption aVSizing);


				/* Drawing */
	void		DrawGrid (void);
	void		DrawItem (short theItem, Rect *theBox);
	void		UpdateItem (short symCode);
	void		Update(void);

	
				/* Commands */
	void		DoCopy  (void);
	void		DoPaste (void);
	void		DoClear (short taskIndex);
	void		DoInsertCell (void);
	void		DoDeleteCell (void);

	
				/* Mouse */
	void		DoClick (Point hitPt, short modifierKeys, long when);
	void		DoDoubleClick (void);
	
			
				/* Grid mapping */
 	Boolean 	ValidItem (short theItem);
	short 		ItemToSymCode (short item);
    short 		SymCodeToItem (short symCode);

	
				/* Window management */
	void		GetSymWindow (short symCode, void **wind);						  
	void		SetSymWindow (short symCode, void *wind);
	Boolean		SymWindowsOpen (void);

	
				/* Symbol editing */
	void		NewSymWindow (short symCode);
	
};
