/******************************************************************************
 CImgWndToolDraw.h

		Interface for the ToolDraw Class
		
		This file defines the drawing tools available
		in the symbol editor's image edit window.
		
    	Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include "CImgWndTask.h"			/* Interface for its superclass		*/
#include "CImgWndPane.h"

struct CToolDraw : CImgWndTask {	/* Class Declaration				*/
								
								
	void		IToolDraw (CImgWndPane *aImgWndPane, CBitMap *aPainting);

	void		BeginTracking (LongPt *startPt);
	void		KeepTracking  (LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		EndTracking   (LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		TweakPoints   (LongPt *currPt, LongPt *prevPt, LongPt *startPt);

	void		CalcChangedRect (LongPt *currPt, LongPt *prevPt, LongPt *startPt,
								 LongRect *changedRect);
									
	void		UseTool (LongRect *currRect, LongPt *currPt, LongPt *startPt);
};


					/*** Class for line drawing ***/

struct CToolLine : CToolDraw {

	Point	lineStart;
	Point	lineEnd;
	
	void	UseTool (LongRect *currRect, LongPt *currPt, LongPt *startPt);
	
	void	CalcChangedRect (LongPt *currPt, LongPt *prevPt, LongPt *startPt,
							 LongRect *changedRect);
};


					/*** Class for circle drawing ***/

struct CToolCircle : CToolDraw {

	void	UseTool (LongRect *currRect, LongPt *currPt, LongPt *startPt);
	
	void	TweakPoints (LongPt *currPt, LongPt *prevPt, LongPt *startPt);

	void	CalcChangedRect (LongPt *currPt, LongPt *prevPt, LongPt *startPt,
							 LongRect *changedRect);
};
