/****
 * CSymWindow.h
 *
 *	Symbol window class for the SignWriter symbol editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma once	


#include <CDirector.h>
#include "CFileWndGrid.h"
#include "CSymWndBox.h"
#include "CSymWndCtrl.h"
#include "CSymWndGrid.h"
#include "CSymWndTask.h"


 
 
struct CSymWindow : CDirector {


					/* Panes */	
	CSymWndGrid		*itsGridPane;
	CSymWndBox		*itsBoxPane;
	CSymWndCtrl		*itsControlPane;
	CFileWndGrid 	*itsFileWind;

	
				/* Initialization */
	void        ISymWindow(CDirectorOwner *aSupervisor);
    void        Dispose(void);

	
				/* Commands */
	void		DoCommand(long theCommand);
	void		DoFillAttrs(void);

 
 				/* Menus */
    void        UpdateMenus(void);  

				
				/* Windows */
	void		NewWindow(short symCode, CFileWndGrid *fileWind);		   
	Boolean		Close (Boolean quitting);
	
	
				/* Misc. */
	short		AlertLoseVars(void);

};