
/****
 * SymEditConsts.h
 *
 *	Global constants for the SignWriter symbol editor.
 *
 ****/


#pragma once


/* File window */

#define	FWND_RSRC		500		/* Resource ID for file window */

#define	FWND_HEIGHT		289		/* Standard height of file window */
#define	FWND_MINWIDTH	119		/* Minimum width of file window   */
#define	FWND_MAXWIDTH	524		/* Maximum width of file window   */

#define	FGRID_COLS		100		/* File window symbol grid columns  */
#define	FGRID_ROWS		11		/* File window symbol grid rows		*/
#define	FGRID_SYMS		1000	/* File window symbol grid symbols  */

#define	FCELL_WIDTH		25		/* File window symbol cell width  */
#define	FCELL_HEIGHT	25		/* File window symbol cell height */
#define	FCELL_SCALE		 2		/* File window symbol cell scale  */

#define	FBOX_HEIGHT		13		/* File window symcode box height */
#define	FBOX_WIDTH		36		/* File window symcode box width  */




/* Symbol window */

#define	SWND_TOP		82		/* Top of sym window 	*/
#define	SWND_LEFT		304		/* Left of sym window   */

#define	SWND_HEIGHT		283		/* Height of sym window */
#define	SWND_WIDTH		291		/* Width of sym window  */

#define	SLABL_HEIGHT	20		/* Sym window label row height  */

#define	SGRID_COLS		6		/* Sym window symbol grid columns    */
#define	SGRID_ROWS		5		/* Sym window symbol grid rows	     */
#define	SGRID_VARS		6		/* Sym window symbol grid variations */

#define	SCELL_WIDTH		49		/* Sym window symbol cell width  */
#define	SCELL_HEIGHT	49		/* Sym window symbol cell height */

#define	SBOT_HEIGHT		17		/* Sym window status row height */

#define	SBUT_HEIGHT		13		/* Sym window button height */
#define SBUT_WIDTH		18		/* Sym window button width  */

#define	SBOX_WIDTH		70		/* Sym window symtype box width */
#define SMSG_WIDTH		100		/* Sym window symvar msg width  */

#define SBOX_BASE		0		/* Sym window symtype box offset */
#define SPBT_BASE		105		/* Sym window prev button offset */
#define SMSG_BASE		133		/* Sym window symtype box offset */
#define SNBT_BASE		235		/* Sym window next button offset */



		 
/* Image window */

#define	IWND_TOP		160		/* Top of image window 	  	*/
#define	IWND_LEFT		18		/* Left of image window   	*/

#define	IWND_HEIGHT		216		/* Height of image window   */
#define	IWND_WIDTH		192		/* Width of image window    */

#define	IPANE_TOP		24		/* Top of image edit pane 		 */
#define	IPANE_LEFT		0		/* Left of image edit pane 		 */

#define	IPANE_WIDTH		192		/* Image edit pane width		 */
#define	IPANE_HEIGHT	192		/* Image edit pane height		 */

#define	IPANE_SCALE		4		/* Image pane scale	(map->pane)  */

#define	IMAP_WIDTH		48	    /* Image bitmap width  (bits)    */
#define	IMAP_HEIGHT		48		/* Image bitmap height (bits)	 */

#define IMAP_BYTES		288		/* Image bitmap size (bytes)	 */

#define	IMAP_GRID		5		/* Image grid spacing  (bits)    */




/* Progress window */

#define	PWND_RSRC		501		/* Resource ID for progress window */




/* Resources */

#define	ChGdTools		101		/* Resource ID for image toolpane  */

#define	CURSpencil		201		/* Resource ID's for tool cursors  */
#define	CURSeraser		202
#define	CURSdrag		204
#define	CURSselect		205

#define	ALRTgeneral		128		/* Resource ID for vanilla           alert box */
#define	ALRTrevertImage	152		/* Resource ID for revert image 	 alert box */
#define	ALRTloseVars	153		/* Resource ID for delete variations alert box */
#define	ALRTloseImgs	154		/* Resource ID for delete images 	 alert box */
#define	ALRTbadFrame	155		/* Resource ID for bad frame 		 alert box */
#define	ALRTbadCenter	156		/* Resource ID for bad center 		 alert box */
#define	ALRTnoSymbol	157		/* Resource ID for empty symbol  	 alert box */
#define	ALRTopenSyms	158		/* Resource ID for open sym windows  alert box */
#define	ALRTopenImgs	159		/* Resource ID for open img windows  alert box */
#define	ALRTaboutApp	160		/* Resource ID for about appl		 alert box */
#define	ALRTnoRoom		161		/* Resource ID for no room			 alert box */

#define DLOGhandAttrs	1024	/* Resource ID for hand     attrs dialog box */
#define DLOGmvmtAttrs	1025	/* Resource ID for movement attrs dialog box */
#define DLOGfaceAttrs	1026	/* Resource ID for face     attrs dialog box */
#define DLOGsholAttrs	1027	/* Resource ID for shoulder attrs dialog box */
#define DLOGcontAttrs	1028	/* Resource ID for contact  attrs dialog box */
#define DLOGothrAttrs	1029	/* Resource ID for 'other'  attrs dialog box */
#define DLOGsymOperate	1030	/* Resource ID for sym operation  dialog box */



enum SymOperations {			/* Dialog item #'s for sym operation buttons */
	DITLsymChange = 2,
	DITLsymFill   = 3,
	DITLsymMirror = 4,
	DITLsymRotate = 5,
	DITLsymPane   = 6,			/* Dialog item # for sym operation panes     */
	DITLtxtPane   = 7
};



enum HandAttrs {				/* Dialog item #'s for hand attr check boxes */
	DITLhandSymVert = 3,
	DITLhandSymHorz = 4,
	DITLhandIdent45 = 6,
	DITLhandIdent90 = 7,
	DITLhandIdent180 = 8
};


enum MvmtAttrs {				/* Dialog item #'s for movement attr check boxes */
	DITLmvmtSymVert = 3,
	DITLmvmtSymHorz = 4,
	DITLmvmtIdent45 = 6,
	DITLmvmtIdent90 = 7,
	DITLmvmtIdent180 = 8,
	DITLmvmtVertRot = 10
};


enum FaceAttrs {				/* Dialog item #'s for face attr check boxes */
	DITLfaceSymVert = 3,
	DITLfaceExpress1 = 5,
	DITLfaceExpress2 = 6,
	DITLfaceExpress3 = 7,
	DITLfaceExpress7 = 8,
	DITLfaceContact7 = 10
};


enum SholAttrs {				/* Dialog item #'s for shoulder attr check boxes */
	DITLsholSymVert = 3,
	DITLsholRot1 = 5,
	DITLsholRot2 = 6
};


enum ContAttrs {				/* Dialog item #'s for contact attr check boxes */
	DITLcontSymVert = 3
};


enum OthrAttrs {				/* Dialog item #'s for 'other' attr check boxes */
	DITLothrSymVert = 3,
	DITLothrLine2 = 5,
	DITLothrLine3 = 6
};




/* Selection states */

#define	SELnone			0		/*  No sym window items selected */
#define	SELall			-9999	/* All sym window items selected */




/* Menu commands */

#define	cmdInsertCell	1026L	/* Command value for Insert Cell cmd */
#define	cmdDeleteCell	1027L	/* Command value for Delete Cell cmd */

#define	cmdRevertImage	1028L	/* Command value for Revert Image cmd */


#define	cmdInvertVert	1029L	/* Command value for Invert Vertical cmd   */
#define	cmdInvertHorz	1030L	/* Command value for Invert Horizontal cmd */

#define	cmdRotate45		1031L	/* Command value for Rotate 45 Degrees cmd */
#define	cmdRotate90		1032L	/* Command value for Rotate 90 Degrees cmd */

#define	cmdEnlarge50	1033L	/* Command value for Enlarge 50 Percent cmd */


#define	cmdSymType		1034L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeFace	1035L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeHand	1036L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeMvmt	1037L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeShol	1038L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeCont	1039L	/* Command value for Symbol Type cmd */
#define	cmdSymTypeOthr	1040L	/* Command value for Symbol Type cmd */

#define	cmdSymVars		1041L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars1		1042L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars2		1043L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars3		1044L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars4		1045L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars5		1046L	/* Command value for Symbol Variations cmd */
#define	cmdSymVars6		1047L	/* Command value for Symbol Variations cmd */

#define	cmdFillVars		1048L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars1	1049L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars2	1050L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars3	1051L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars4	1052L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars5	1053L	/* Command value for Fill Variations cmd   */
#define	cmdFillVars6	1054L	/* Command value for Fill Variations cmd   */

#define	cmdFillAttrs	1055L	/* Command value for Fill Attributes cmd   */

#define	cmdSymOperation	1056L	/* Command value for Symbol Operation cmd  */



/* Button commands */

#define cmdPrevious		1057L	/* Command value for "Previous" button  */
#define cmdNext			1058L	/* Command value for "Next" button      */



/* Mouse commands */

#define cmdSelectCell	1059L	/* Command value for grid cell click    */

#define	cmdSelectCol	1060L	/* Command value for grid column click  */
#define	cmdSelectCol1	1061L	/* Command value for grid column click  */
#define	cmdSelectCol2	1062L	/* Command value for grid column click  */
#define	cmdSelectCol3	1063L	/* Command value for grid column click  */
#define	cmdSelectCol4	1064L	/* Command value for grid column click  */
#define	cmdSelectCol5	1065L	/* Command value for grid column click  */
#define	cmdSelectCol6	1066L	/* Command value for grid column click  */



/* Key commands */

#define	OPTKEY_CODE		0x3A	/* Hardware code for option key	*/




/* Alert results */

#define OK				1		/* Result value for 'OK' button     */
#define Cancel			2		/* Result value for 'Cancel' button */




/* Tool commands */

#define cmdEditTool		1060L	/* Command value for edit tool */

enum EditTools {
	toolSELECT = 1,
	toolDRAG,
	toolPENCIL,
	toolERASER,
	toolDRAW,
	toolFRAME,
	toolCENTER,
	toolNONE
};

#define		iDRAW			1	/* Index of Draw task name 		*/
#define		iCUT			2	/* Index of Cut task name 		*/
#define		iCLEAR			5	/* Index of Clear task name 	*/
#define		iPASTE			4	/* Index of Paste task name 	*/
#define		iPENCIL			6	/* Index of Pencil task name	*/
#define		iERASER			7	/* Index of Erase task name		*/
#define		iDRAG			8	/* Index of Drag task name		*/
#define		iINSERT			9	/* Index of Insert task name	*/
#define		iDELETE			10	/* Index of Delete task name	*/
#define		iINVERT			11	/* Index of Invert task name	*/
#define		iROTATE			12	/* Index of Rotate task name	*/
#define		iENLARGE		13	/* Index of Enlarge task name	*/


#define		PENCIL_WIDTH	1	/* Size of pencil (edit pixels)		*/
#define		ERASER_WIDTH	4	/* Size of eraser (edit pixels)		*/


#define		PAT_SEL_ANIM	300			/* Pattern for selection animation  */
