
/*
 *  mem.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#pragma options(!require_protos)


void *
memcpy(/* void *s1, const void *s2, size_t n */)
{
	asm {
		move.l	4(sp),d0		;  D0.L = result
		movea.l	d0,a0			;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		bra.s	@2
@1		move.b	(a1)+,(a0)+
		subq.l	#1,d1
@2		bne.s	@1
	}
}


void *
memmove(/* void *s1, const void *s2, size_t n */)
{
	asm {
		move.l	4(sp),d0		;  D0.L = result
		movea.l	d0,a0			;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		beq.s	@3
		cmpa.l	a0,a1
		bhi.s	@2
		adda.l	d1,a0
		adda.l	d1,a1
@1		move.b	-(a1),-(a0)
		subq.l	#1,d1
		bne.s	@1
		rts
@2		move.b	(a1)+,(a0)+
		subq.l	#1,d1
		bne.s	@2
@3	}
}


int
memcmp(/* const void *s1, const void *s2, size_t n */)
{
	asm {
		moveq	#0,d0			;  D0.L = result
		movea.l	4(sp),a0		;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		bra.s	@2
@1		subq.l	#1,d1
@2		beq.s	@4
		cmpm.b	(a0)+,(a1)+
		beq.s	@1
		blo.s	@3
		subq.l	#2,d0
@3		addq.l	#1,d0
@4	}
}


void *
memchr(/* const void *s, int c, size_t n */)
{
	asm {
		moveq	#1,d0			;  D0.L = result
		movea.l	4(sp),a0		;  A0 = s
#if __option(int_4)
		move.b	11(sp),d1		;  D1.B = (unsigned char) c
		move.l	12(sp),d2		;  D2.L = n
#else
		move.b	9(sp),d1		;  D1.B = (unsigned char) c
		move.l	10(sp),d2		;  D2.L = n
#endif
		bra.s	@2
@1		subq.l	#1,d2
@2		beq.s	@3
		cmp.b	(a0)+,d1
		bne.s	@1
		move.l	a0,d0
@3		subq.l	#1,d0
	}
}


void *
memset(/* void *s, int c, size_t n */)
{
	asm {
		move.l	4(sp),d0		;  D0.L = result
		movea.l	d0,a0			;  A0 = s
#if __option(int_4)
		move.b	11(sp),d1		;  D1.B = (unsigned char) c
		move.l	12(sp),d2		;  D2.L = n
#else
		move.b	9(sp),d1		;  D1.B = (unsigned char) c
		move.l	10(sp),d2		;  D2.L = n
#endif
		bra.s	@2
@1		move.b	d1,(a0)+
		subq.l	#1,d2
@2		bne.s	@1
	}
}
