/******************************************************************************
 CRadioGroup.h

		Interface for the RadioGroup Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CRadioGroup

#include "CBureaucrat.h"				/* Interface for its superclass		*/
#include "CCluster.h"
#include "CRadioButton.h"

struct CRadioGroup : CBureaucrat {		/* Class Declaration				*/
								/** Instance Variables **/
	CCluster		*itsButtons;		/* Individual radio buttons			*/
	CRadioButton	*station;			/* Currently selected button		*/
	
								/** Instance Methods **/
	void			IRadioGroup(CBureaucrat *aSupervisor);
	virtual void			Dispose(void);

	virtual void			AddButton(CRadioButton *theRadioButton);
	virtual void			RemoveButton(CRadioButton *theRadioButton);
	virtual void			AddButtonID(short CNTLid, CView *anEnclosure);
	virtual void			ChangeStation(CRadioButton *theStation);
	virtual CRadioButton*	GetStation(void);
	virtual void			SetStationID(short aStationID);
	virtual short			GetStationID(void);
};

#define		NO_STATION		0			/* Indicates no station is selected	*/