/******************************************************************************
 OFile.h

		Interface for the File Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_OFile

#include "CObject.h"					/* Interface for its superclass		*/
#include "Global.h"

struct OFile : CObject {				/* Class Declaration				*/
								/** Instance Variables **/
	Str63		name;					/* File name						*/
	short		volNum;					/* Volume containing the file		*/
	long		dirID;					/* Directory within the volume		*/

								/** Instance Methods **/
									/** Construction/Destruction **/
	void		IFile(void);
	void		Dispose(void);
									
									/** Specifying **/
	void		Specify(Str63 aName, short aVolNum);
	void		SpecifyHFS(Str63 aName, short aVolNum, long aDirID);
	void		SFSpecify(SFReply *macSFReply);
	
									/** Open/Close **/
	OSErr		Open(SignedByte permission);
	OSErr		Close(void);
	
									/** Accessing **/
	void		GetName(Str63 theName);
	
									/** Filing **/
	OSErr		CreateNew(OSType creator, OSType fType);
	OSErr		ThrowOut(void);
	OSErr		ChangeName(Str63 newName);
};