/******************************************************************************
 CButton.h

		Interface for the Button Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
	TCL 1.1 CHANGES
	[
		- added INewButton initialization method for to support creation
		  without a CNTL resource.
		- added IButtonX method to handle initialization common to
		  IButton and INewButton
		- added GetClickCmd, SetDefault methods
	]

 ******************************************************************************/
 
#define _H_CButton

#include "CControl.h"					/* Interface for its superclass		*/

class CButton : public CControl {				/* Class Declaration				*/

public:
								/** Instance Variables **/
	long		clickCmd;				/* Command to issue when clicked	*/
										
								/** Instance Methods **/
									/** Construction **/
	void		IButton(short CNTLid, CView *anEnclosure,
							CBureaucrat		*aSupervisor);
	void		INewButton( short aWidth, short aHeight, short aHEncl, short aVEncl, 
					StringPtr title, Boolean fVisible, short procID,
					CView *anEnclosure, CBureaucrat	*aSupervisor);
					
	void		IButtonX( void);
									/** Click Handling **/
	virtual void		DoGoodClick(short whichPart);
	virtual void		SetClickCmd(long aClickCmd);
	virtual long		GetClickCmd( void);
	
	virtual void		SetDefault( Boolean fDefault);
	virtual void		SimulateClick( void);
};


	/*** Constants ***/

#define		BUTTON_OFF		0			/* Off setting						*/
#define		BUTTON_ON		1			/* On setting						*/