/******************************************************************************
 CStdPopupPane.h

		Interface for the CStdPopupPane Class
		
		Copyright  1991 Symantec Corporation. All rights reserved.

 ******************************************************************************/

#define _H_CStdPopupPane

#include "CPopupPane.h"

#define	kAutoSize	0		/* Use for width or height parameters of IStdPopupPane 	*/
							/* for automatic sizing of popup						*/

class CStdPopupPane : public CPopupPane
{
public:

	void IStdPopupPane( short menuID, CView *anEnclosure, CBureaucrat *aSupervisor,
				short aWidth, short aHeight, short aHEncl, short aVEncl);
	virtual void IViewTemp( CView *anEnclosure, CBureaucrat *aSupervisor,
							Ptr	viewData);

	virtual void NewMenuSelection( short itemSelected);
	virtual void DoClick( Point hitPt, short modifierKeys, long when);
	virtual void DoKeyDown(char theChar, Byte keyCode, EventRecord *macEvent);
	
	virtual void Prepare( void);
	virtual void Draw( Rect *area);
	virtual void Activate( void);
	virtual void Deactivate( void);
	
protected:

	short	textFont;
	short	textSize;
	short	textStyle;
	short	titleWidth;
	short	fontAscent;
	CPane	*itsPopupBox;
	Point	popupPt;
	Point	sicnPt;
	Rect	hiliteRect;
	
	void IStdPopupPaneX( Boolean fFirstInstall);
	virtual void InstallHook( void);
	virtual void CalcDimensions( void);
	virtual void MakePopupBox( void);
	virtual void InvertTitle( void);

};

typedef struct		/* CStdPopupPane template */
{
	PopupTemp	popupTemp;
	short		hAutosizing;	// auto-size horizontally?
	short		vAutosizing;	// auto-size vertically?
	
} StdPopupTemp, *StdPopupTempP;


#define		kArrowWidth		16		// width needed for popup arrow
#define		kArrowRightInset 3		// inset of arrow with right edge of border
#define		kTitleGap		6		// gap between end of title and popup box 
#define		kStdPopupHeight	21		// standard height for popup
#define		kCheckGap		14		// Pixels between left edge of menu	
									// and left edge of text
#define		kBorderWidth	2		// width of border, 1 pixel frame + i pixel shadow

typedef struct tMenuHook
{
	short	jmp;
	long	addr;
	Handle	realMenuProc;
	
} tMenuHook, **tMenuHookHndl;
