/******************************************************************************
 CChore.c

							The Chore Class
		
	An abstract class for a job which needs to be performed, usually on
	a regular basis. The Application maintains lists a chores which are
	carried out at certain times.
	
	SUPERCLASS = CObject
	
	Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/

#include "CChore.h"
	

/******************************************************************************
 Perform

		Do what's necessary to complete a chore. Subclasses must override
		this method. If the chore must be performed at some regular interval,
		the maxSleep parameter should be set to the maximum time, in ticks,
		between successive Perform() messages.
 ******************************************************************************/

void	CChore::Perform(
	long	*maxSleep)
{
}										/* Null Method						*/
