/******************************************************************************
 CMBarChore.c

							The MBarChore Class
		
		Redraw the menu bar. This chore gets executed once for all menu
	changes requiring a redraw of the menu bar which are conducted during
	one pass of the event loop. This prevents unsightly flashing.
	

	SUPERCLASS = CChore
	
	Copyright  1989 Symantec Corporation. All rights reserved.
	
	TCL 1.1 CHANGES
	[
		- Because CBarOwner has been merged with CBarOwner, CMBarChore
		  now references class CBartender instead of CBarOwner.
	]

 ******************************************************************************/

#include "Global.h"
#include "CMBarChore.h"
#include "CBartender.h"

extern CBartender	*gBartender;		/* Manages all menus				*/


/******************************************************************************
 Perform {OVERRIDE}

		Redraw the menu bar
 ******************************************************************************/

void	CMBarChore::Perform(
	long	*maxSleep)					/* Ignored							*/
{
	
	HiliteMenu(NOTHING);				/* Menu bar may not be redrawn		*/
										/*   properly if a menu item is		*/
										/*   hilited when DrawMenuBar is	*/
										/*   called							*/
										
	gBartender->UpdateMenuBar();		/* Redraw to reflect changes		*/
	
										/* Clear chore from gBartender		*/
	gBartender->choreAssigned = FALSE;
}
