/******************************************************************************
 GlobalVars.c

		Declarations of Global Variables
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/

#include "CApplication.h"
#include "CDesktop.h"
#include "CBartender.h"
#include "CClipboard.h"
#include "CError.h"
#include "CDecorator.h"
#include "CEnvironment.h"
#include "Global.h"


									/** Global Objects **/
CApplication		*gApplication;		/* Application object				*/
CDesktop			*gDesktop;			/* The visible Desktop				*/
CBartender			*gBartender;		/* Manages all menus				*/
CClipboard			*gClipboard;		/* Copies and Pastes data			*/
CBureaucrat			*gGopher;			/* First in line to get commands	*/
CError				*gError;			/* Error handler					*/
CDecorator			*gDecorator;		/* Decorator for arranging windows	*/

									/** MultiFinder Stuff **/
long				gSleepTime;			/* Max time between events			*/
Boolean				gInBackground;		/* In background under MultiFinder	*/

OSType				gSignature;			/* Creator for Application's files	*/

									/** MultiClick Checks **/
EventRecord			gLastMouseDown;		/* Previous mouse down event		*/
EventRecord			gLastMouseUp;		/* Previous mouse up event			*/
CView				*gLastViewHit;		/* Last view clicked in				*/
short				gClicks;			/* Click counter, = 1 single click	*/
										/*                = 2 double click	*/
										/*    etc.							*/
										
									/** Cursors **/
CursHandle			gIBeamCursor;		/* I-beam for text views			*/
CursHandle			gWatchCursor;		/* Watch cursor for waiting			*/

									/** Utilities **/
RgnHandle			gUtilRgn;			/* Utility region					*/

tSystem				gSystem;			/* characteristics of current Mac	*/