/******************************************************************************
 CDLOGDialog.h

		Interface for DLOGDialog class.
		
	SUPERCLASS = CDialog
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CDLOGDialog

#include "CDialog.h"

typedef struct	tDITLItem
{
	Handle 			itemHndl; 	/* Handle or procedure pointer for this item */
	Rect			itemRect; 	/* Display rectangle for this item */
	SignedByte		itemType; 	/* Item type for this item  1 byte */
	unsigned char 	itemLength;	/* Length of data */
	short			itemData[];	/* item data */
	
} tDITLItem;

class CPane;
class CDirector;

class CDLOGDialog : public CDialog
{
public:

	void IDLOGDialog( short DLOGid, CDesktop *anEnclosure,
					CDirector *aSupervisor);
						
protected:

	short	staticTextFont;	/* default font to use for static text items	*/
	short	staticTextSize; /* default size to use for static text items	*/
	short	editTextFont;	/* default font for edit text items				*/
	short	editTextSize;	/* default size for edit text items				*/
	short	defaultBorderPen;	/* default border thickness for user items	*/
								/* and RadioGroupPanes						*/

	virtual void AddDITLItems( short DITLid, long baseID);
	
	virtual CView *FindEnclosingView( Rect *boundsRect);
	
	virtual CPane *AddDITLPushBtn( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLRadioBtn( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem, long anID);
	virtual CPane *AddDITLCheckBox( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLResControl( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLStatText( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLEditText( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLIcon( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLPicture( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddDITLUserItem( short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	virtual CPane *AddOverloadedItem( StringPtr itemText, short aWidth, short aHeight, 
						short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
};