/******************************************************************************
 CTableDragger.h

		Interface for CTableDragger class
		
	SUPERCLASS = CPanorama
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/


#pragma once

#include "CMouseTask.h"
#include "LongCoordinates.h"

class CTable;

class CTableDragger : public CMouseTask
{
public:

	void ITableDragger( CTable *aTable, short theModifiers, long selFlags);
	
	virtual void Dispose(void);
	
	virtual void BeginTracking( LongPt *startPt);
	virtual void KeepTracking( LongPt *currPt, LongPt *prevPt, LongPt *startPt);

protected:

	CTable			*itsTable;		// client table
	Cell			anchorCell;		// initially clicked cell
	Cell			prevCell;		// last hit Cell 
	long			selectionFlags; // local copy of table's flags 
	short			modifierKeys;	// modifier keys from the mousedown event
	Boolean			fExtend;		// TRUE if selections are extended
	Boolean			fSelectRects;	// TRUE if dragging always selects rects
	Boolean			fUseSense;		// TRUE if use sense of first cell, like fatbits
	Boolean			fFirstWasSelected; // TRUE if first cell was selected
			
	virtual void CalcAnchorCell( LongPt *startPt, Cell hitCell);
};